' === FRAMtest.bas =============================================

' === Directives ===
  #com 3                          'specify serial port
  #picaxe 08M2                    'specify processor
  #terminal 9600                  'open terminal window
  #no_data                        'save time downloading

' === Constants ====
  symbol  etx = 3                 'ASCII "end of text" character
  symbol FRAM = 0xA0              '%10100000 - see text
  
' === Variables ====
  symbol char = b0
  symbol  val = b1
  symbol  loc = w1
    
' === Begin Main ===============================================
      hi2csetup i2cmaster,FRAM,i2cfast_4,i2cword
      setfreq M8                  'so we can use 9600 baud

' [1] Store a single value.
      hi2cout 100,(100)
'     Retrieve and display it.
      hi2cin 100,(val)
      sertxd (#val,cr,lf,cr,lf)

' [2] Store a series of values.
      hi2cout 300,(72,101,108,108,111,33)
'     Retrieve and display it as a series of values.
      for loc = 300 to 305
        hi2cin loc,(val)
        sertxd (#val," ")
      next loc
      sertxd(cr,lf)
'     Or, retrieve and display it as a string of characters.  
      for loc = 300 to 305
        hi2cin loc,(val)
        sertxd (val)
      next loc
      sertxd(cr,lf,cr,lf)
  
' [3] Store a string of characters.
      hi2cout 400,("Count characters.")
'     Retrieve and display it by counting characters
      for loc = 400 to 416
        hi2cin loc,(char)
        sertxd (char)
      next loc
      sertxd(cr,lf,cr,lf)

' [4] Store a string of characters.
      hi2cout 500,("Don't count characters!",etx)
'     Retrieve and display by recognizing ASCII "etx" character.
      loc = 500
      do
        hi2cin loc,(char)
        if char = ETX then
          exit
        endif
        sertxd (char)
        inc loc
      loop
      sertxd(cr,lf,cr,lf)