' === Sertxd2Excel.bas ============================
' Program transmits a series of 22 lines of data
' to the terminal window. Each line is transmitted
' as a string of ASCII characters, terminated by
' the "carriage return" and "line feed" characters.

' === Directives ===
  #com 3                   'specify serial port
  #picaxe 08M2             'specify processor
  #terminal 9600           'open terminal window
  #no_data                 'save time downloading

' === Begin Main ==================================
setfreq m8                 'so we can use 9600 baud

sertxd ("Integer,Square",cr,lf)
sertxd (#0,",",#0,cr,lf)
sertxd (#1,",",#1,cr,lf)
sertxd (#2,",",#4,cr,lf)
sertxd (#3,",",#9,cr,lf)
sertxd (#4,",",#16,cr,lf)
sertxd (#5,",",#25,cr,lf)
sertxd (#6,",",#36,cr,lf)
sertxd (#7,",",#49,cr,lf)
sertxd (#8,",",#64,cr,lf)
sertxd (#9,",",#81,cr,lf)
sertxd (#10,",",#100,cr,lf)
sertxd (#11,",",#121,cr,lf)
sertxd (#12,",",#144,cr,lf)
sertxd (#13,",",#169,cr,lf)
sertxd (#14,",",#196,cr,lf)
sertxd (#15,",",#225,cr,lf)
sertxd (#16,",",#256,cr,lf)
sertxd (#17,",",#289,cr,lf)
sertxd (#18,",",#324,cr,lf)
sertxd (#19,",",#361,cr,lf)
sertxd (#20,",",#400,cr,lf)